%define oname   geoip

Name:       ruby-%{oname}
Version:    1.2.0
Release:    %mkrel 8
Summary:    Searches a GeoIP database for a given host or IP address
License:    MIT
Group:      Development/Ruby
URL:        http://github.com/cjheath/geoip
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
GeoIP searches a GeoIP database for a given host or IP address, and
returns information about the country where the IP address is allocated,
and the city, ISP and other information, if you have that database version.

%files
%{_bindir}/geoip
%{gem_instdir}/
%doc README.rdoc
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install


%changelog
* Sat Dec 28 2013 pterjan <pterjan> 1.2.0-8.mga4
+ Revision: 561890
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 1.2.0-7.mga4
+ Revision: 561235
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 1.2.0-6.mga4
+ Revision: 535486
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 1.2.0-5.mga4
+ Revision: 482030
- Rebuild for Ruby 2

* Sun Sep 15 2013 pterjan <pterjan> 1.2.0-4.mga4
+ Revision: 479044
- Fix file list
- Use gem_setup

* Fri Feb 08 2013 umeabot <umeabot> 1.2.0-3.mga3
+ Revision: 395995
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.2.0-2.mga3
+ Revision: 380913
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 02 2012 fwang <fwang> 1.2.0-1.mga3
+ Revision: 312581
- new version 1.2.0

* Sun Feb 13 2011 shikamaru <shikamaru> 1.0.0-1.mga1
+ Revision: 51265
- imported package ruby-geoip


* Sun Feb 13 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.0.0-1mdv2011.0
- Apply new ruby policy
- Apply general mageia rules
- New version 1.0.0

* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.8.6-2mdv2011.0
+ Revision: 614742
- the mass rebuild of 2010.1 packages

* Mon Feb 01 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.8.6-1mdv2010.1
+ Revision: 499185
- import ruby-geoip


* Mon Feb  1 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.8.6-1
- initial release
